* {
    margin: 0;
    padding: 0;
}

html {
    background-image: url("/assets/background-photo.jpg");
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    height: 100%;
  }

  h1, #title, #up-next, .footer-title{
    font-family: 'Passion One', sans-serif;
    color: white;
}

a {
    text-decoration: none;
}

h1{
    font-size: 58px;
    margin-bottom: 0;
}

h3{
    font-size: 18px;
    margin-top: 0;
    font-family: 'Kulim Park', sans-serif;
    color: white;
}

.nav{
    display: flex;
    flex-direction: column;
    background-color: #006AB4;
    padding: 10px;
}

.main-container{
    display: flex;
    flex-direction: column;
    height: 100%;
}

#img-summary{
    display: flex;
    justify-content: space-between;
    align-items: center;
}

img{
    width: 75%;
    height: auto;
    max-width: 370px;
    border-radius: 10px;
}

#title{
    font-size: 40px;
    background-color: hsla(22, 69%, 48%, 0.9);
    border-radius: 10px;
    padding: 10px 30px;
    margin: 30px 30px;
    display: inline-block;
    text-align: center;
}


#summary{
    font-family: 'Kulim Park', sans-serif;
    color: white;
    background-color: hsla(22, 69%, 48%, 0.9);
    border-radius: 10px;
    padding: 30px;
    text-align: center;
    display: inline-block;
}

.title-summary{
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 70%;
    margin: 0px 60px;
    /* border: 2px solid red; */
    align-self: flex-start;
}

#info-container{
    background-color: hsl(194, 100%, 25%, 0.9);
    border-radius: 10px;
    padding: 10px;
    display: flex;
    flex-direction: column;
    width: 300px;
    justify-content: center;
    align-items: center;
    align-self: flex-start;
    margin-top: 60px;
    margin-bottom: 30px;
    /* position: fixed;
    bottom: 60px;
    left: 30px; */
}

#info-container p{
    font-family: 'Kulim Park', sans-serif;
    color: white;
    padding-top: 5px;
}

.img-info-container{
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    height: 100%;
    width: 50%;
    padding: 30px 0px 30px 60px;
}

#up-next{
    background-color: hsla(217, 16%, 70%, 0.9);
    border-radius: 10px;
    padding: 10px 30px;
    width: 200px;
    border: none;
    font-size: 40px;
    margin-right: 30px;
    position: fixed;
    bottom: 60px;
    right: 30px;
}

footer{
    background-color: #006AB4;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 10px;
    position: fixed;
    bottom: 0;
    width: 100%;
}

.footer-credit{
    font-family: 'Kulim Park', sans-serif;
    font-size: 14px;
    color: white;
    margin-right: 30px;
}

@media(max-width: 900px){
    .title-summary, .img-info-container, #img-summary {
        display: flex;
        padding: 0;
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }

    .title-summary{
        margin: auto;
    }

    #img-summary{
        margin-bottom: 20px;
    }

    .img-info-container {
        align-items: center;
        justify-content: center;
        width: 80%;
        margin-top: 30px;
    }

    #info-container{
        margin: 20px auto;
        position: static;
    }

    #up-next{
        margin: 0px auto 60px auto;
        position: static;
    }

    #summary{
        margin: 0px 30px;
    }

    img{
        margin: auto;
        min-width: 200px;
    }

    main {
        background-image: url("/assets/background-photo.jpg");
        background-position: center;
        background-repeat: no-repeat;
        background-size: cover;
        height: 100%;
      }

      #title {
        margin: 10px auto 20px auto;
      }
}

@media(max-width: 300px){
    #title{
        font-size: 24px;
    }

    #info-container{
        width: 80%;
        font-size: 14px;
    }

    #summary{
        font-size: 14px;
        width: 100%;
    }

    html {
        background-image: url("/assets/background-photo.jpg");
        background-position: center;
        background-repeat: no-repeat;
        background-size: cover;
        height: 100%;
      }
}